<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Rx JS</title>
</head>
<body x-data="{ name: '', items: [] }">
    <h1>Alpine JS</h1>
    <ul>
        <template x-for="item in items" x-bind:key="item">
            <li x-text="item"></li>
        </template>
    </ul>
    <input x-model="name" /> <button id="btn" x-on:click="items.push(name); name = ''; ">Save</button>
</body>
</html>